OPL::AirportEntry Class Reference

A Row representing an Airport entry. See Row class for details. More...

`#include <row.h>`

Inheritance diagram for OPL::AirportEntry:

## Public Member Functions

| AirportEntry (const RowData_T &row_data)
| AirportEntry (int row_id, const RowData_T &row_data)
Public Member Functions inherited from OPL::Row
| Row (OPL::DbTable table_name, int row_id, const RowData_T &row_data)
| Row (OPL::DbTable table_name, int row_id)
| Row (OPL::DbTable table_name)
| Row (const Row &)=default
Row & | operator= (const Row &)=default
RowData_T | getData () const
void | setData (const RowData_T &value)
int | getRowId () const
void | setRowId (int value)
OPL::DbTable | getTable () const
const QString | getTableName () const
const QString | getPosition () const
bool | isValid () const
| operator QString () const
| operator QString can be used for printing debug information to stdout

## Additional Inherited Members

Protected Attributes inherited from OPL::Row
bool | hasData
bool | valid = true

## Detailed Description

A Row representing an Airport entry. See Row class for details.

The documentation for this class was generated from the following files:

- src/database/row.h
- src/database/row.cpp